Skip to main content
PUT
/
v3
/
entity
/
{id}
Update Entity
curl --request PUT \
  --url https://service-sandbox.tazapay.com/v3/entity/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "<string>",
  "type": "sole_proprietorship",
  "description": "<string>",
  "metadata": "<string>",
  "registration_address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "postal_code": "<string>"
  },
  "operating_address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "postal_code": "<string>"
  },
  "phone": {
    "calling_code": "<string>",
    "number": "<string>"
  },
  "tax_id": "<string>",
  "vertical": "<string>",
  "website": "<string>",
  "registration_number": "<string>",
  "registration_date": "<string>",
  "is_operating_address_same_as_registration_address": true,
  "is_shareholding_doc_same_as_registration_doc": true,
  "remarks": "<string>",
  "representatives": [
    {
      "person_id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "date_of_birth": "<string>",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "country": "<string>",
        "postal_code": "<string>"
      },
      "nationality": "<string>",
      "phone": {
        "calling_code": "<string>",
        "number": "<string>"
      },
      "ownership_percentage": 123,
      "roles": [],
      "documents": [
        {
          "type": "identity",
          "sub_type": "drivers_license",
          "tag": "AddressProofDoc",
          "description": "<string>",
          "file_name": "<string>",
          "url": "<string>"
        }
      ]
    }
  ],
  "individual": {
    "national_identification_number": {
      "type": "passport",
      "number": "<string>",
      "issuer": {
        "country": "<string>",
        "state": "<string>"
      },
      "expiration": "<string>",
      "country_of_citizenship": "<string>"
    },
    "date_of_birth": "<string>",
    "nationality": "<string>",
    "profession": {
      "occupation": "<string>",
      "isco_code": "<string>",
      "industry": "<string>",
      "employment_status": "employed"
    },
    "source_of_funds": {
      "primary_source": "salary",
      "description": "<string>"
    }
  },
  "transaction_profile": {
    "monthly_expected_transactions_value": 123,
    "monthly_expected_transaction_volume": 123,
    "expected_transaction_countries": [
      "<string>"
    ],
    "expected_transaction_currencies": [
      "<string>"
    ],
    "customer_risk": "low"
  },
  "documents": [
    {
      "type": "business",
      "sub_type": "other",
      "tag": "registrationProofDoc",
      "file_name": "<string>",
      "description": "<string>",
      "url": "<string>"
    }
  ],
  "reference_id": "<string>",
  "relationship": "customer",
  "purpose_of_use": [
    "<string>"
  ],
  "onboarding_package_url": "<string>",
  "on_behalf_of": "<string>",
  "source_of_wealth": {
    "type": "document",
    "url": "<string>"
  }
}
'
"{}"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Tazapay unique ID of the entity

Body

application/json
name
string

Name of the entity

email
string

Email of the entity

type
enum<string>

Type of the entity

Available options:
sole_proprietorship,
company,
non_profit,
government_entity,
individual,
limited_liability_partnership,
partnership,
trust,
other
description
string

A short description of the business

metadata
string<json>

Set of key-value pairs to attach to the entity

registration_address
object

Registration Address

operating_address
object

Operating Address

phone
object

Phone contact details

tax_id
string

Tax ID of the entity

vertical
string

Industry Vertical

website
string

Entity website

registration_number
string

Business Registration Number

registration_date
string

Business Registration Date, Format DD-MM-YYYY

is_operating_address_same_as_registration_address
boolean

Set to true if the operating address is the same as the registration address

is_shareholding_doc_same_as_registration_doc
boolean

Set to true if the shareholding document is the same as the registration document

remarks
string

Additional remarks for the entity update

representatives
object[]

Representative Details. While updating an entity, the person_id of each existing representative must be included to preserve the representative's identity for ongoing sanction screening.

individual
object

Individual Details

transaction_profile
object

Expected transaction profile of the entity

documents
object[]

Documents for the entity

reference_id
string

Merchant's internal reference ID for the entity

relationship
enum<string>

The entity's relationship with you

Available options:
customer,
vendor,
fourth_party,
other
purpose_of_use
string[]

The capabilities the entity intends to use. Possible values - collect, payout. In case you only want to add global collection account on behalf of the entity, pass collect. If you want to only make payouts on behalf of the entity, use payout. In case you want to do both, pass ["collect","payout"]

onboarding_package_url
string

Link to the complete onboarding package for the entity

on_behalf_of
string

ID of the entity this entity is created on behalf of

source_of_wealth
object

Source of wealth information for the entity

Response

200

status
string

Indicates the result of the API call.

message
string

Optional message providing context or additional information about the response. Can be empty.

data
object

Details of the entity or KYB record returned in the response.